## ansible-12.2.0-1.src.tar.zst

=== ansible_collections/netbox/netbox/docs/requirements.txt ===
ansible
antsibull==0.48.0
sphinx
Jinja2<3.2
sphinx_rtd_theme

=== ansible_collections/community/aws/tests/integration/requirements.txt ===
# Our code is based on the AWS SDKs
boto3
botocore

# netaddr is needed for ansible.utils.ipv6
netaddr
virtualenv
# Sometimes needed where we don't have features we need in modules
awscli
# Used for comparing SSH Public keys to the Amazon fingerprints
cryptography
# Used by ec2_asg_scheduled_action
python-dateutil

=== ansible_collections/hetzner/hcloud/tests/integration/requirements.txt ===
netaddr
cryptography

python-dateutil
requests

=== debian/changelog ===
ansible (12.2.0-1) unstable; urgency=medium

  * Ansible 12.2.0 release

 -- Red Hat, Inc. <info@ansible.com>  Wed, 05 Nov 2025 13:13:36 +0000

=== PKGBUILD ===
# Maintainer: Alexandre Ferreira <contact@alexjorgef.com>

pkgname=ansible
# Note: When packaging a new version of ansible, bump version of ansible-core in
# depends, if required.
pkgver=12.2.0
pkgrel=1
pkgdesc='Official assortment of Ansible collections'
arch=('any')
url='https://pypi.org/project/ansible/'
msys2_references=(
  "cpe: cpe:/a:ansible:ansible"
  "cpe: cpe:/a:redhat:ansible"
  "cpe: cpe:/a:redhat:ansible_engine"
  "purl: pkg:pypi/ansible"
)
license=('spdx:GPL-3.0-or-later')
depends=(
  'python'
  # Bump the version of ansible-core at least whenever a new major version of
  # ansible is packaged / released. Check the ansible release notes to get the
  # corresponding version of ansible-core. It usually has a statement like
  # "Ansible x.y.z depends on ansible-core a.b.c" in it.
  'ansible-core>=2.19.4'
)
makedepends=(
  'python-setuptools'
  'python-build'
  'python-installer'
  'python-setuptools'
)
source=("https://pypi.python.org/packages/source/a/ansible/ansible-${pkgver}.tar.gz")
sha512sums=('714e146a49385c3028f50b392c97759ea2660f2caa20a9baa7fae582e056b69b6cacf7af702adf6d77428532c58f45ec47815bd9979a4260eb9ab6762411b70f')

build() {
  cd ansible-${pkgver}

  python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd ansible-${pkgver}

  python -m installer --destdir="${pkgdir}" dist/*.whl

  install -Dm644 COPYING "${pkgdir}"/usr/share/doc/${pkgname}/COPYING
}
